------------------------------------------------------------------------------------
--Name:  	wanshengjie2
--Creator:	由剧情表现脚本编辑器生成
--Created:	2023-09-28
------------------------------------------------------------------------------------

CppScriptMgr:SetViewPosByCell(87, 72)
local Player_2 = CppScriptMgr:QueryHero()
Player_2:SetPos(87, 77)
Player_2:SetDir(4)
local Effect_1 = CppScriptMgr:AddEffect("cyclonexian", 87, 72, 33, 1, 1, 1)
CppScriptMgr:WaitMilSec(1000)
local Player_1 = CppScriptMgr:AddSimplePlayer(1050880, 87, 72, "MightyLord", 0, 0)
Player_1:SetZoomPercent(120)
CppScriptMgr:WaitMilSec(990)
Player_1:SetAction(101)
CppScriptMgr:NpcCallOut("Do you think you`ve won?", 1000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_npc7126", 150, 430, "MightyLord", 250, 655, false)
Player_1:Say("Do you think you`ve won?", 1000)
CppScriptMgr:WaitMilSec(1000)
CppScriptMgr:NpcCallOut("I only used half of my true power just now.", 1500, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_npc7126", 150, 430, "MightyLord", 250, 655, false)
CppScriptMgr:WaitMilSec(1500)
Player_2:Say("Come on! Show me what you`ve got!", 1000)
Player_2:SetAction(101)
CppScriptMgr:WaitMilSec(1000)
local effect_0 = CppScriptMgr:AddEffect("ride_screen", 87, 72, 33, 1, 1, 1)
CppScriptMgr:WaitMilSec(1000)
CppScriptMgr:ShakeScrEffect(5)
ChangeNpcZoom(Player_1, 120, 200, 5, 10)
CppScriptMgr:WaitMilSec(1000)
Player_1:Say("Hahaha!", 1000)
CppScriptMgr:WaitMilSec(1000)
CppScriptMgr:NpcCallOut("Super skills mastered!", 1000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_npc7126", 150, 430, "MightyLord", 250, 655, false)
CppScriptMgr:WaitMilSec(1000)
CppScriptMgr:NpcCallOut("Your life will be the foundation of my grand cause!", 1500, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_npc7126", 150, 430, "MightyLord", 250, 655, false)
CppScriptMgr:WaitMilSec(2500)